version: "3.7"

networks:
  default:
    external:
      name: ${PROJECT_NAME}

services:
  postgresdb:
    container_name: ticket-postgresql
    image: ${POSTGRES_IMAGE}
    restart: always
    labels:
        project.name: ${PROJECT_NAME}
    # networks:
    #   - default
    # environment:
    #   - POSTGRES_USER=sonar
    #   - POSTGRES_PASSWORD=sonar
    env_file:
      - ./env/postgres
    volumes:
      - ../../.docker/postgres/lib:/var/lib/postgresql
      - ../../.docker/postgres/data:/var/lib/postgresql/data

  sonarqube:
    container_name: sonarqube
    image: ${SONARQUBE_IMAGE}
    restart: always
    labels:
        project.name: ${PROJECT_NAME}
    # networks:
    #   - default
    ports:
      - 9090:9000
      - 9092:9092
    # environment:
    #   SONARQUBE_JDBC_USERNAME: sonar
    #   SONARQUBE_JDBC_PASSWORD: sonar
    #   SONARQUBE_JDBC_URL: jdbc:postgresql://postgresdb/sonar
    env_file:
      - ./env/sonarqube
    volumes:
      - ../../.docker/sonarqube/conf:/opt/sonarqube/conf
      - ../../.docker/sonarqube/data:/opt/sonarqube/data
      - ../../.docker/sonarqube/extensions:/opt/sonarqube/extensions
      - ../../.docker/sonarqube/bundled-plugins:/opt/sonarqube/lib/bundled-plugins
    # external_links:
    #   - postgresdb
    depends_on:
      - postgresdb

  jenkins:
    container_name: jenkins
    # image: jenkins/jenkins:lts
    build:
      context: ../jenkins
      dockerfile: dockerfile
    restart: always
    labels:
        project.name: ${PROJECT_NAME}
    # networks:
    #   - default
    user: root
    ports:
      - 8080:8080
      - 5000:5000
    volumes:
      - ../../.docker/jenkins/jobs:/var/jenkins_home/jobs
      - ../../.docker/jenkins/plugins:/var/jenkins_home/plugins
      # - ../jenkins/tools/sonar-scanner.properties:/var/jenkins_home/tools/hudson.plugins.sonar.SonarRunnerInstallation/SonarQubeScanner/conf/sonar-scanner.properties
      - /var/run/docker.sock:/var/run/docker.sock
      - /usr/local/bin/docker:/usr/bin/docker
    depends_on:
      - sonarqube
